Public Class 薪資資料設定
    Private Sub Set_適應症設定()
        Dim ds2 As New DataSet
        人員_dgv.DataSource = Nothing : ds2.Clear()
        人員_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        人員_dgv.ColumnHeadersHeight = 25 : 人員_dgv.AllowUserToAddRows = False
        SQL_人員薪資資料()
        da.Fill(ds2) : 人員_dgv.DataSource = ds2.Tables(0) : conn.Close()
        人員_dgv.Columns(0).FillWeight = 30 : 人員_dgv.Columns(1).Visible = False : 人員_dgv.EditMode = DataGridViewEditMode.EditOnEnter
        人員_dgv.Columns(4).DefaultCellStyle.Format = "#,##0.0" : 人員_dgv.Columns(4).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight
        人員_dgv.Columns(5).DefaultCellStyle.Format = "#,##0.0" : 人員_dgv.Columns(5).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight
        人員_dgv.Columns(6).DefaultCellStyle.Format = "#,##0.0" : 人員_dgv.Columns(6).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight
        人員_dgv.Columns(7).DefaultCellStyle.Format = "#,##0.0" : 人員_dgv.Columns(7).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight
        人員_dgv.Columns(8).DefaultCellStyle.Format = "#,##0.0" : 人員_dgv.Columns(8).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight
        人員_dgv.Columns(9).DefaultCellStyle.Format = "#,##0.0" : 人員_dgv.Columns(9).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight
        人員_dgv.Columns(0).ReadOnly = True : 人員_dgv.Columns(2).ReadOnly = True ': 人員_dgv.Columns(6).ReadOnly = True : 人員_dgv.Columns(7).ReadOnly = True
        For i As Integer = 0 To 人員_dgv.Rows.Count - 1
            人員_dgv(0, i).Value = i + 1
            If IsDBNull(人員_dgv(4, i).Value) Then : 人員_dgv(4, i).Value = 0 : End If
            If IsDBNull(人員_dgv(5, i).Value) Then : 人員_dgv(5, i).Value = 0 : End If
            If IsDBNull(人員_dgv(6, i).Value) Then : 人員_dgv(6, i).Value = 0 : End If
            If IsDBNull(人員_dgv(7, i).Value) Then : 人員_dgv(7, i).Value = 0 : End If
            If IsDBNull(人員_dgv(8, i).Value) Then : 人員_dgv(8, i).Value = 0 : End If
            If IsDBNull(人員_dgv(9, i).Value) Then : 人員_dgv(9, i).Value = 0 : End If
        Next
    End Sub
    Private Sub 薪資資料設定_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Set_適應症設定()
    End Sub
    Private Sub 人員_dgv_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles 人員_dgv.MouseUp
        'If 清單_dgv.SelectedCells.Count = 1 Then : MsgBox(清單_dgv.SelectedCells(0).ColumnIndex & "  " & 清單_dgv.SelectedCells(0).RowIndex) : End If
        If 人員_dgv.SelectedCells.Count > 0 Then
            If 人員_dgv.SelectedCells(0).ColumnIndex = 3 Then
                If 人員_dgv.Rows(人員_dgv.SelectedCells(0).RowIndex).Cells(3).Value = False Then
                    人員_dgv.Rows(人員_dgv.SelectedCells(0).RowIndex).Cells(3).Value = True
                Else
                    人員_dgv.Rows(人員_dgv.SelectedCells(0).RowIndex).Cells(3).Value = False
                End If
                人員_dgv.CurrentCell = 人員_dgv.Rows(人員_dgv.SelectedCells(0).RowIndex).Cells(0)
            End If
        End If
    End Sub
    Private Sub 適應症_修改_bt_Click(sender As Object, e As EventArgs) Handles 適應症_修改_bt.Click
        For i As Integer = 0 To 人員_dgv.Rows.Count - 1
            PA = 人員_dgv(1, i).Value.ToString : PA1 = 人員_dgv(3, i).Value : PA2 = 人員_dgv(4, i).Value.ToString
            PA3 = 人員_dgv(5, i).Value.ToString : PA4 = 人員_dgv(6, i).Value.ToString : PA5 = 人員_dgv(7, i).Value.ToString
            PA6 = 人員_dgv(8, i).Value.ToString : PA7 = 人員_dgv(9, i).Value.ToString : PA8 = 人員_dgv(10, i).Value.ToString : SQL_系統使用者修改()
        Next
    End Sub
End Class